/**********************************************************************/
//
// FILE:    drvrotmat.h
//          Partial derivatives of the rotation matrix functions.
// CREATED: 15 Dec 04  (ds)
// CHANGES:
// REFS:
//
// (c) 2004 Dirk Stallmann (ds)/ IfP Uni Stuttgart
/**********************************************************************/

namespace DEP
{

/// partial derivatives of the rotation matrix
void derivs_opk_fix_cw(double o, double p, double k,
DRotMatrix3& dR_om, DRotMatrix3& dR_ph, DRotMatrix3& dR_ka);


/// partial derivatives of the rotation matrix
void derivs_opk_fix_ccw(double o, double p, double k,
DRotMatrix3& dR_om, DRotMatrix3& dR_ph, DRotMatrix3& dR_ka);


/// partial derivatives of the rotation matrix
void derivs_opk_rot_ccw(double o, double p, double k,
DRotMatrix3& dR_om, DRotMatrix3& dR_ph, DRotMatrix3& dR_ka);


/// partial derivatives of the rotation matrix
void derivs_pok_rot_ccw(double p, double o, double k,
DRotMatrix3& dR_ph, DRotMatrix3& dR_om, DRotMatrix3& dR_ka);


/// partial derivatives of the rotation matrix
void derivs_australis(double az, double el, double ro,
DRotMatrix3& dR_az, DRotMatrix3& dR_el, DRotMatrix3& dR_ro);


/// partial derivatives of the rotation matrix
void derivs_quaternion(double q0, double q1, double q2, double q3,
DRotMatrix3& dR_q0, DRotMatrix3& dR_q1, DRotMatrix3& dR_q2, DRotMatrix3& dR_q3);

} // namespace DEP
