/**********************************************************************/
//
// FILE:    iopntcon.h
//          Image and object point connection class.
// CREATED: 09 Nov 03  (ds)
// CHANGES:
// REFS:    
//
// (c) 2003 Dirk Stallmann (ds)/ IfP Uni Stuttgart
/**********************************************************************/

#ifndef DEP_IOPNTCON_INCLUDED
#define DEP_IOPNTCON_INCLUDED

#include "imgpnt.h"
#include "objpnt.h"

using namespace std;
using namespace GenLib2;

namespace DEP
{

/** Image and object point connection class.
 *  Pointer structure to corresponding image and object points.
 *  
 *  @author Dirk Stallmann
 */
class IOPointCon
{
public:
	/// constructor
	IOPointCon() : ip(0), op(0) {}

	/// pointer to image point
	ImagePoint*		ip;
	
	/// pointer to object point
	ObjectPoint*	op;
};


// non-member functions ...

} // namespace DEP

#endif
